podman-wait(1)

NAME

podman-wait - Wait on one or more containers to stop and print their exit codes

SYNOPSIS

podman wait [options] container [...]

podman container wait [options] container [...]

DESCRIPTION

Waits on one or more containers to stop. The container can be referred to by its name or ID. In the case of multiple containers, Podman waits on each consecutively. After all conditions are satisfied, the containers' return codes are printed separated by newline in the same order as they were given to the command. An exit code of -1 is emitted for all conditions other than "stopped" and "exited".

NOTE: there is an inherent race condition when waiting for containers with a restart policy of always or on-failure, such as those created by podman kube play. Such containers may be repeatedly exiting and restarting, possibly with different exit codes, but podman wait can only display and detect one.

OPTIONS

  --condition=state

Container state or condition to wait for. Can be specified multiple times where at least one condition must match for the command to return. Supported values are "configured", "created", "exited", "healthy", "initialized", "paused", "removing", "running", "stopped", "stopping", "unhealthy". The default condition is "stopped".

  --help, -h

Print usage statement

  --ignore

Ignore errors when a specified container is missing and mark its return code as -1.

  --interval, -i=duration

Time interval to wait before polling for completion. A duration string is a sequence of decimal numbers, each with optional fraction and a unit suffix, such as "300ms", "-1.5h" or "2h45m". Valid time units are "ns", "us" (or "µs"), "ms", "s", "m", "h". Time unit defaults to "ms".

  --latest, -l

Instead of providing the container name or ID, use the last created container. Note: the last started container can be from other users of Podman on the host machine. (This option is not available with the remote Podman client, including Mac and Windows (excluding WSL2) machines)

EXAMPLES
    $ podman wait mywebserver
    0
    $ podman wait --latest
    0
    $ podman wait --interval 2s
    0
    $ podman wait 860a4b23
    1
    $ podman wait mywebserver myftpserver
    0
    125
    $ podman wait --ignore does-not-exist
    -1

SEE ALSO

podman(1)(podman.1.md)

HISTORY

September 2017, Originally compiled by Brent Baudebbaude@redhat.com ⟨mailto:bbaude@redhat.com⟩